﻿@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
<script src="@Url.Content("~/Scripts/jquery-ui-timepicker-addon.js")" type="text/javascript"></script>
@section Style{
/* css for timepicker */ .ui-timepicker-div .ui-widget-header { margin-bottom: 8px;
} .ui-timepicker-div dl { text-align: left; } .ui-timepicker-div dl dt { height:
25px; margin-bottom: -25px; } .ui-timepicker-div dl dd { margin: 0 10px 10px 65px;
} .ui-timepicker-div td { font-size: 90%; } .ui-tpicker-grid-label { background:
none; border: none; margin: 0; padding: 0; } .ui-timepicker-rtl{ direction: rtl;
} .ui-timepicker-rtl dl { text-align: right; } .ui-timepicker-rtl dl dd { margin:
0 65px 10px 10px; }
}
@section Script{
/*Month Picker*/ 
$(document).ready(function()
{ 
    

    $('#txtStartTime').datetimepicker(
    {
        timeFormat: "hh:mm TT"
    });
    $('#txtEndTime').datetimepicker(
    {
        timeFormat: "hh:mm TT"
    });
    $('#txtDetailStartTime').datetimepicker(
    {
        timeFormat: "hh:mm TT"
    });
    $('#txtDetailStartTimeSlider').timepicker({
	hourGrid: 4,
	minuteGrid: 10,
	timeFormat: 'hh:mm tt'
    });
});

    function OnAdd(s,e){
        popupJob.Show();
    }

}
<div style="border: 1px solid #142B94; background-color: #DEECFD; padding: 10px; width:1025px;">
    @{
        Html.RenderAction("PartialHeaderJobMonitoring", "JobMonitoring");
    }
</div>
<div style="height:8px">
</div>
<div style="position: width:99%; margin-left: auto; margin-right: auto;">
    @Html.DevExpress().PageControl(
        settings => {
            settings.Width = settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
            settings.Name = "tbBackgroundTasks";
            settings.ActivateTabPageAction = ActivateTabPageAction.Click;
            settings.EnableHotTrack = true;
            settings.TabAlign = TabAlign.Right;
            settings.TabPosition = TabPosition.Top;
            settings.ActiveTabIndex = 1;
            settings.TabPages.Add("Queue").SetContent(() =>
            {
                
            });
            settings.TabPages.Add("History").SetContent(() =>
            {
                Html.RenderAction("PartialHistoryGrid", "JobMonitoring");
            });
            settings.TabPages.Add("Registry").SetContent(() => {
                Html.RenderAction("PartialRegistryGrid", "JobMonitoring");
            });
        }
    ).GetHtml()
</div>
@Html.DevExpress().PopupControl(s=>
    {
        s.Name = "popupJob";
        s.AllowDragging = true;
        s.DragElement = DragElement.Window;
        s.HeaderText = "Job Detail";
        s.Height = System.Web.UI.WebControls.Unit.Pixel(600);
        s.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        s.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        s.Width = System.Web.UI.WebControls.Unit.Pixel(800);
        s.SetContent(() => { Html.RenderPartial("PartialJobDetail"); });
    }).GetHtml()
